

static char rcsid[] =  "$Id: system.c,v 1.30 1992/07/05 15:36:19 root Exp $";

/* Change Log:
$Log: system.c,v $
 * Revision 1.30  1992/07/05  15:36:19  root
 * first release of ATP
 
 * Revision 1.2  1992/04/19  12:51:47  root
 * 1st semifunctional UNIX version.
 *
 */


/*
            DOS System-Dependant functions for Read.c
*/

#include "system.h"
#ifndef __unix__
#include <dos.h>
#endif

/*
           Deletes ALL files in a directory pointed by PathName.
           This is system-dependant.
*/

void Erase(PathName )
 char *PathName;
{
 char tmp[127];
 char Pattern[127];
 int ok;

#ifdef __unix__

#include <stdio.h>
#include <stdlib.h>
sprintf(Pattern,"rm %s/*.???",PathName );
system(Pattern);
sprintf(Pattern,"rm %s/*.??",PathName);
system(Pattern);
#else

  struct DocFile                            /* MSC et Turbo under DOS use   */
               {                            /* different names. Here are my */
                char     Reserved[21];      /* own for both two, and a nice */
                char     attr;              /* warning... :-)               */
                unsigned Time;
                unsigned Date;
                long     Len;
                char     Name[13];
               } FileDoc;



sprintf(Pattern,"%s\\*.*",PathName );

#ifdef __TURBOC__
   ok= findfirst(Pattern,&FileDoc,0);
#else
   ok= _dos_findfirst(Pattern,0,&FileDoc);
#endif
   if(ok!=0) return;

  while(!ok)
       {
         sprintf(tmp,"%s\\%s",PathName,FileDoc.Name);
         unlink(tmp);
#ifdef __TURBOC__
         ok= findnext(&FileDoc);
#else
         ok= _dos_findnext(&FileDoc);
#endif
       }
#endif

}
/*-------------------------------------------------------------------------*/

#ifdef __unix__

#include <ctype.h>

int strnicmp( char *s1, char *s2, int n)
{
   while(n && *s1 && *s2){
      if(tolower(*s1) != tolower(*s2))
         return(tolower(*s1)>tolower(*s2)? 1: -1);
      s1++;
      s2++;
      n--;
   }
   if(n){
      if(*s1) return(1);
      if(*s2) return(-1);
   }
   return(0);
}

int stricmp( char *s1, char *s2)
{
   while(*s1!=NULL && *s2!=NULL){
      if(tolower(*s1) != tolower(*s2))
         return(tolower(*s1)>tolower(*s2)? 1: -1);
      s1++;
      s2++;
   }
   if(*s1)
     return(1) ;                              
   if(*s2)
     return (-1) ;
   return(0);
}


char *strlwr( char *s)
{
   char *s1;

   s1 = s;
   while(*s1){
      *s1 = tolower(*s1);
      s1++;
   }
   return(s);
}

char *strupr( char *s)
{
   char *s1;

   s1 = s;
   while(*s1){
      *s1 = toupper(*s1);
      s1++;
   }
   return(s);
}

#endif

